Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.appengine.api.datastore
Class PostLoadContext

    java.lang.Object
      com.google.appengine.api.datastore.PostLoadContext

All Implemented Interfaces:
  CallbackContext<Entity>

    public final class PostLoadContext

extends java.lang.Object

Concrete `CallbackContext` implementation that is specific to intercepted operations that load `Entities`, currently get and "query". It is important to note that when a PostLoadContext is provided to a callback following a get operation, `getElements()` returns all retrieved Entities. However, when a PostLoadContext is provided to a callback following a query, a separate PostLoadContext will be constructed for each Entity in the result set so `getElements()` will only return a `List` containing a single Entity. This is due to the streaming nature of query responses.

Method Summary
`T` | `getCurrentElement()`
`int` | `getCurrentIndex()`
`Transaction` | `getCurrentTransaction()`
`java.util.List<T>` | `getElements()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getElements

    public java.util.List<T> getElements()

  Specified by:
    `getElements` in interface `CallbackContext<T>`
  Returns:
    An unmodifiable view of the elements involved in the operation that triggered the callback..

### getCurrentTransaction

    public Transaction getCurrentTransaction()

  Specified by:
    `getCurrentTransaction` in interface `CallbackContext<T>`
  Returns:
    The current transaction, or `null` if there is no current transaction.

### getCurrentIndex

    public int getCurrentIndex()

  Specified by:
    `getCurrentIndex` in interface `CallbackContext<T>`
  Returns:
    The index in the result of `CallbackContext.getElements()` of the element for which the callback has been invoked.

### getCurrentElement

    public T getCurrentElement()

  Specified by:
    `getCurrentElement` in interface `CallbackContext<T>`
  Returns:
    The element for which the callback has been invoked. Shortcut for `getElements().getCurrentIndex()`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD